apiVersion: oadp.openshift.io/v1alpha1
kind: DataProtectionApplication
metadata:
  annotations:
    oadp.openshift.io/unsupported-node-agent-server-args: node-agent-settings
    oadp.openshift.io/unsupported-velero-server-args: velero-settings
    veleroforoadp14: 'cp.icr.io/cp/bnr/fbr-velero@sha256:e2f189263b741fdc22b4c30cda416f1fd0687f61ab6a8d524a1ce5faafd417d9'
    veleroforoadp15: 'docker-na-public.artifactory.swg-devops.com/hyc-abell-devops-team-dev-docker-local/sds-2.12.0/fbr-velero15:2.12.0-PR-10-master-729c6df'
  resourceVersion: '70398392'
  name: velero
  uid: dc5623fa-bd8a-41c1-9f90-21cd660a5ff5
  creationTimestamp: '2025-09-05T17:29:01Z'
  generation: 15
  managedFields:
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:oadp.openshift.io/unsupported-node-agent-server-args': {}
            'f:oadp.openshift.io/unsupported-velero-server-args': {}
            'f:veleroforoadp14': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/name': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"f075e898-e7fc-4520-af1d-1ba82223dcd3"}': {}
        'f:spec':
          .: {}
          'f:backupImages': {}
          'f:configuration':
            .: {}
            'f:nodeAgent':
              .: {}
              'f:enable': {}
              'f:podConfig':
                .: {}
                'f:labels':
                  .: {}
                  'f:app.kubernetes.io/component': {}
                  'f:app.kubernetes.io/instance': {}
                  'f:app.kubernetes.io/managed-by': {}
                  'f:app.kubernetes.io/name': {}
                  'f:openshift.io/oadp': {}
                'f:resourceAllocations':
                  .: {}
                  'f:limits':
                    .: {}
                    'f:cpu': {}
                    'f:ephmeral-storage': {}
                    'f:memory': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
              'f:uploaderType': {}
            'f:velero':
              .: {}
              'f:args':
                .: {}
                'f:default-repo-maintain-frequency': {}
                'f:log-format': {}
              'f:customPlugins': {}
              'f:defaultPlugins': {}
              'f:disableFsBackup': {}
              'f:logLevel': {}
              'f:podConfig':
                .: {}
                'f:labels':
                  .: {}
                  'f:app.kubernetes.io/part-of': {}
                'f:resourceAllocations':
                  .: {}
                  'f:limits':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:ephemeral-storage': {}
                    'f:memory': {}
          'f:logFormat': {}
          'f:podDnsConfig': {}
          'f:unsupportedOverrides': {}
      manager: manager
      operation: Update
      time: '2025-09-05T17:29:36Z'
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:veleroforoadp15': {}
        'f:spec':
          'f:backupLocations': {}
          'f:configuration':
            'f:velero':
              'f:noDefaultBackupLocation': {}
          'f:unsupportedOverrides':
            'f:veleroImageFqin': {}
      manager: Mozilla
      operation: Update
      time: '2025-09-26T21:21:54Z'
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2025-09-26T21:21:54Z'
  namespace: ibm-bnr
  ownerReferences:
    - apiVersion: dataprotectionagent.idp.ibm.com/v1
      kind: DataProtectionAgent
      name: dpagent
      uid: f075e898-e7fc-4520-af1d-1ba82223dcd3
  labels:
    app.kubernetes.io/component: velero
    app.kubernetes.io/name: guardian
spec:
  backupImages: false
  backupLocations:
    - name: guardian-minio
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: 0c13a339-c48e-4304-ae31-d2b267b32d05-secret
        default: true
        objectStorage:
          bucket: 2024-test-bucket1
          prefix: d5e51efb-2bff-400c-a68b-8c0775d8d801/0c13a339-c48e-4304-ae31-d2b267b32d05
        provider: aws
    - name: 0c13a339-c48e-4304-ae31-d2b267b32d05
      velero:
        accessMode: ReadWrite
        backupSyncPeriod: 30s
        config:
          region: us-west-2
          s3ForcePathStyle: 'true'
          s3Url: 'https://s3.us-west-2.amazonaws.com'
        credential:
          key: cloud
          name: 0c13a339-c48e-4304-ae31-d2b267b32d05-secret
        default: false
        objectStorage:
          bucket: 2024-test-bucket1
          prefix: d5e51efb-2bff-400c-a68b-8c0775d8d801/0c13a339-c48e-4304-ae31-d2b267b32d05
        provider: aws
  configuration:
    nodeAgent:
      enable: true
      podConfig:
        labels:
          app.kubernetes.io/component: server
          app.kubernetes.io/instance: velero
          app.kubernetes.io/managed-by: oadp-operator
          app.kubernetes.io/name: velero
          openshift.io/oadp: 'True'
        resourceAllocations:
          limits:
            cpu: 400m
            ephmeral-storage: 250Mi
            memory: 800Mi
          requests:
            cpu: 200m
            ephemeral-storage: 50Mi
            memory: 150Mi
      uploaderType: kopia
    velero:
      args:
        default-repo-maintain-frequency: 14400000000000
        log-format: json
      customPlugins:
        - image: 'cp.icr.io/cp/bnr/guardian-kubevirt-velero-plugin@sha256:0d243a2f2724442779e90d4fd83610eb8156df8e72826a8bd344cbaab4b42096'
          name: isf-kubevirt
      defaultPlugins:
        - openshift
        - aws
        - azure
      disableFsBackup: true
      logLevel: info
      noDefaultBackupLocation: false
      podConfig:
        labels:
          app.kubernetes.io/part-of: ibm-backup-restore
        resourceAllocations:
          limits:
            cpu: '2'
            ephemeral-storage: 500Mi
            memory: 2Gi
          requests:
            cpu: 200m
            ephemeral-storage: 300Mi
            memory: 256Mi
  logFormat: text
  podDnsConfig: {}
  unsupportedOverrides:
    veleroImageFqin: 'docker-na-public.artifactory.swg-devops.com/hyc-abell-devops-team-dev-docker-local/sds-2.12.0/fbr-velero15:2.12.0-PR-10-master-729c6df'
status:
  conditions:
    - lastTransitionTime: '2025-09-26T21:21:54Z'
      message: Reconcile complete
      reason: Complete
      status: 'True'
      type: Reconciled
